View Issue Details

IDProjectCategoryView StatusLast Update
0000372Rabbit Ranchers[All Projects] Generalpublic2018-08-04 11:09
ReporterrainChu 
Assigned TorainChu 
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionAlpha 3.2Fixed in VersionAlpha 3.2 
Summary0000372: Refactor RChu.TacticsNav.Obstacle to use an enum bitmask for obstacleType
DescriptionCurrently ObstacleType is an int. Refactor it to be an enum, and apply the necessary attributes to allow Unity to display it as a bitfield.

Refactor the code so that only one Obstacle is needed.

Add GetEnabled( ObstacleType ) SetEnabled( ObstacleType ) to disable and enable individual obstacletypes on an obstacle.
TagsNo tags attached.

Relationships

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-03-10 13:17 rainChu New Issue
2018-03-10 16:30 rainChu Status new => confirmed
2018-03-10 16:59 rainChu Priority high => low
2018-04-15 03:01 rainChu Target Version Alpha 3.1 => Alpha 3.2
2018-08-04 09:45 rainChu Assigned To => rainChu
2018-08-04 09:45 rainChu Status confirmed => assigned
2018-08-04 11:09 rainChu Status assigned => resolved
2018-08-04 11:09 rainChu Fixed in Version => Alpha 3.2
2018-08-04 11:09 rainChu Resolution open => fixed